Subject: bug#70022: closed ([bug#70022] doc: Binary installation: Add more distros.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Jun 2024 23:37:02 +0000

Your bug report

#70022: [PATCH 0/2] Binary Installation: Add more distros.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70022: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70022
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [bug#70022] doc: Binary installation: Add more distros.
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: [email-masked]
Date: Sun, 09 Jun 2024 01:29:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

(I’m resending this mail, trying to close this bug.)

Pushed as 66eb60509dfcba86fbe91a69d93614aa153cef83
to 0f9fe721be2bd36e52b520782b585ca49aa1447d

Thanks for the reviews to Maxim, giving confidence.

Regards,
Florian

Subject: [PATCH 0/2] Binary Installation: Add more distros.
From: Denis 'GNUtoo' Carikli <[email-masked]>
To: [email-masked]
Cc: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Wed, 27 Mar 2024 00:45:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, this patchset documents the status of Guix packages in Trisquel and
Parabola that I also both use.

For Trisquel the guix package probably comes from some upstram
distribution.

For Parabola, the package comes from AUR, the Arch Linux User repository,
which is a community repository for Arch Linux where anyone can
contribute/maintain packages. I added that package in Parabola, and the
guix-installer packages was made from scratch by me.

As for the list of distributions that have Guix packages, we can find more at
https://repology.org/project/guix/versions but unfortunately I'm not familiar
enough with the other ones (like Nix/NixOS, Alpine, etc) yet to confidently
add instructions to install the guix package.

More distros having guix packages can be found at:

Denis 'GNUtoo' Carikli (2):
  doc: Binary Installation: mention Trisquel package.
  doc: Binary Installation: add Parabola packages.

 doc/guix.texi | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

base-commit: c3f15443bc6d457758aad1326dcc6dcad9cf8d6e
-- 
2.41.0